gtkmm 2.4: Gtk::FontSelection Class Reference

Main Page Widgets Namespaces Book

# Gtk::FontSelection Class Reference
[Widgets]

Inheritance diagram for Gtk::FontSelection:

[legend]
List of all members.

## Detailed Description

A widget for selecting fonts.

The Gtk::FontSelection widget lists the available fonts, styles and sizes, allowing the user to select a font. It is used in the Gtk::FontSelectionDialog widget to provide a dialog box for selecting fonts.

## Public Member Functions
| FontSelection ()
const Button* | get_filter_button () const
Button* | get_filter_button ()
const Entry* | get_font_entry () const
Entry* | get_font_entry ()
Glib::ustring | get_font_name () const
const Entry* | get_font_style_entry () const
Entry* | get_font_style_entry ()
const RadioButton* | get_pixels_button () const
RadioButton* | get_pixels_button ()
const RadioButton* | get_points_button () const
RadioButton* | get_points_button ()
const Entry* | get_preview_entry () const
Entry* | get_preview_entry ()
Glib::ustring | get_preview_text () const
const Entry* | get_size_entry () const
Entry* | get_size_entry ()
const GtkFontSelection* | gobj () const
| Provides access to the underlying C GtkObject.
GtkFontSelection* | gobj ()
| Provides access to the underlying C GtkObject.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_font_name () const
| The X string that represents this font.
Glib::PropertyProxy<Glib::ustring> | property_font_name ()
| The X string that represents this font.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_preview_text () const
| The text to display in order to demonstrate the selected font.
Glib::PropertyProxy<Glib::ustring> | property_preview_text ()
| The text to display in order to demonstrate the selected font.
bool | set_font_name (const Glib::ustring& fontname)
void | set_preview_text (const Glib::ustring& fontname)
virtual | ~FontSelection ()
## Related Functions
(Note that these are not member functions.)
Gtk::FontSelection* | wrap (GtkFontSelection* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::FontSelection::~FontSelection | ( |  | ) | `[virtual]`

Gtk::FontSelection::FontSelection | ( |  | ) |

## Member Function Documentation

const Button* Gtk::FontSelection::get_filter_button | ( |  | ) | const

Button* Gtk::FontSelection::get_filter_button | ( |  | ) |

const Entry* Gtk::FontSelection::get_font_entry | ( |  | ) | const

Entry* Gtk::FontSelection::get_font_entry | ( |  | ) |

Glib::ustring Gtk::FontSelection::get_font_name | ( |  | ) | const

const Entry* Gtk::FontSelection::get_font_style_entry | ( |  | ) | const

Entry* Gtk::FontSelection::get_font_style_entry | ( |  | ) |

const RadioButton* Gtk::FontSelection::get_pixels_button | ( |  | ) | const

RadioButton* Gtk::FontSelection::get_pixels_button | ( |  | ) |

const RadioButton* Gtk::FontSelection::get_points_button | ( |  | ) | const

RadioButton* Gtk::FontSelection::get_points_button | ( |  | ) |

const Entry* Gtk::FontSelection::get_preview_entry | ( |  | ) | const

Entry* Gtk::FontSelection::get_preview_entry | ( |  | ) |

Glib::ustring Gtk::FontSelection::get_preview_text | ( |  | ) | const

const Entry* Gtk::FontSelection::get_size_entry | ( |  | ) | const

Entry* Gtk::FontSelection::get_size_entry | ( |  | ) |

const GtkFontSelection* Gtk::FontSelection::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::VBox.

GtkFontSelection* Gtk::FontSelection::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::VBox.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::FontSelection::property_font_name | ( |  | ) | const

| The X string that represents this font. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::FontSelection::property_font_name | ( |  | ) |

| The X string that represents this font. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::FontSelection::property_preview_text | ( |  | ) | const

| The text to display in order to demonstrate the selected font. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::FontSelection::property_preview_text | ( |  | ) |

| The text to display in order to demonstrate the selected font. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

bool Gtk::FontSelection::set_font_name | ( | const Glib::ustring& | fontname | ) |

void Gtk::FontSelection::set_preview_text | ( | const Glib::ustring& | fontname | ) |

## Friends And Related Function Documentation

Gtk::FontSelection* wrap | ( | GtkFontSelection* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- fontselection.h